org.eclipse.jetty.client.security

## Class SimpleRealmResolver

- java.lang.Object
- - org.eclipse.jetty.client.security.SimpleRealmResolver

- All Implemented Interfaces:
    RealmResolver

      public class SimpleRealmResolver
      extends Object
      implements RealmResolver

  Simple Realm Resolver.

  A Realm Resolver that wraps a single realm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRealmResolver(Realm realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Realm` | `getRealm(String realmName, HttpDestination destination, String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRealmResolver

          public SimpleRealmResolver(Realm realm)

  - ### Method Detail

    - #### getRealm

          public Realm getRealm(String realmName,
                       HttpDestination destination,
                       String path)
                         throws IOException

      Specified by:
        `getRealm` in interface `RealmResolver`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.